Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.threads
Interface ThreadPoolRunnable

All Known Implementing Classes:
  ChannelNioSocket.Poller, ChannelNioSocket.SocketConnection

    public interface ThreadPoolRunnable

Implemented if you want to run a piece of code inside a thread pool.

Method Summary
`java.lang.Object[]` | `getInitData()` Called when this object is first loaded in the thread pool.
`void` | `runIt(java.lang.Object[] thData)` This method will be executed in one of the pool's threads.

Method Detail

### getInitData

    java.lang.Object[] getInitData()

  Called when this object is first loaded in the thread pool. Important: all workers in a pool must be of the same type, otherwise the mechanism becomes more complex.

### runIt

    void runIt(java.lang.Object[] thData)

  This method will be executed in one of the pool's threads. The thread will be returned to the pool.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.